import { httpApi } from '../request/httpApi'
import website from "@/config/index";

export default {
    async getRoutes() {
        return httpApi({
            url: '/api/blade-system/menu/routes',
            method: 'get',
            params: {
                sysType: website.clientId,
            },
        })
    },
    async getButtons() {
        return httpApi({
            url: '/api/blade-system/menu/buttons',
            method: 'get',
        })
    },
    async getAazyList(form) {
        return httpApi({
            url: '/api/blade-system/menu/lazy-list',
            method: 'get',
            params: form,
        })
    },
}
